{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}
{% block stylesheets %}
            {{parent()}}
            {{ encore_entry_link_tags('register') }}
{% endblock %}
{% block body %}
    <div class="registerCont">
        <div class="formContainer text-center">
            <h1 class="mb-5">Register</h1>
            <div>
                {{ form_start(registrationForm, {'attr': {'novalidate': 'novalidate'}}) }}
                    <div>
                        <div class='label'>
                          <div class="registration-email-error">
                          {{ form_errors(registrationForm.firstName) }}
                          </div>
                          {{ form_label(registrationForm.firstName) }}
                            {# {{ form_label(registrationForm.firstName) }} #}
                      
                        </div>
                        {{ form_widget(registrationForm.firstName) }}
                    </div>

                    <div>
                        <div class='label'>
                          <div class="registration-email-error">
                            {{ form_errors(registrationForm.lastName) }}
                          </div>
                            {{ form_label(registrationForm.lastName) }}
                        </div>
                        {{ form_widget(registrationForm.lastName) }}
                    </div>

                    <div>
                        <div class='label'>
                            {{ form_label(registrationForm.email) }}
                        </div>
                      <div class="registration-email-error">
                        {{ form_errors(registrationForm.email) }}
                      </div>
                        {{ form_widget(registrationForm.email) }}
                    </div>

                    <div>
                        
                         
                         <div class="registration-email-error">
                            {{ form_errors(registrationForm.password.first) }}
                            {{ form_errors(registrationForm.password.second) }}
                        </div>
                        <div class='label'>
                            {{ form_label(registrationForm.password) }}
                        </div>
                      <div class="form-registration-container">
                        <div class="registration-password">
                          {{ form_widget(registrationForm.password.first, { 'attr': {'class': 'form-control', 'placeholder': 'Enter your password', 'value':''}  }) }}
                          {{ form_widget(registrationForm.password.second, { 'attr': {'class': 'form-control', 'placeholder': 'Confirm your password', 'value':''}  }) }}
                          </div>
                          
                      </div>
                    </div>
                      <div class="registration-email-error">
                        {{ form_row(registrationForm.agreeTerms) }}
                      </div>
                    <button class="registerBtn" type="submit" class="btn">{% trans from 'register' %} register.Register {% endtrans %}</button>
                {{ form_end(registrationForm) }}
            
            </div>
            
    </div>

        </div>

        
   
{% endblock %}

{% block javascripts %}
            {{ encore_entry_script_tags('register') }}
{% endblock %}